// Package httpServer -----------------------------
// @file      : httpServer.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/5/21 下午1:23
// -------------------------------------------
package httpServer

import (
	"esp8266Server/httpServer/controller"
	"github.com/gin-gonic/gin"
)

func InitHttpServer() {
	r := gin.Default()
	LedController := new(controller.Led)
	r.POST("/led", LedController.LedControl)

	if err := r.Run(":8080"); err != nil {
		panic("HTTP server failed to start: " + err.Error())
	}
}
